Bug 1734184 - python3-jmespath conflicts with but does not obsolete python2-jmespath
Summary: python3-jmespath conflicts with but does not obsolete python2-jmespath
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-jmespath
Version: 31
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker AcceptedFreezeException
Depends On:
Blocks: BetaFreezeException, F31BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2019-07-29 21:41 UTC by Adam Williamson
Modified: 2019-09-10 01:21 UTC (History)
8 users (show)

Fixed In Version: python-jmespath-0.9.4-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-10 01:21:03 UTC


Attachments (Terms of Use)

Description Adam Williamson 2019-07-29 21:41:36 UTC
python3-jmespath now provides /usr/bin/jp.py , which was previously provided by python2-jmespath . However, it does not obsolete python2-jmespath. Because of this, if you have python2-jmespath and python3-jmespath both installed and run 'dnf update', it fails and you get an error.

Comment 1 Ben Cotton 2019-08-13 16:53:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 18:52:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Fedora Update System 2019-09-04 10:48:32 UTC
FEDORA-2019-e169130f57 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e169130f57

Comment 4 Fedora Blocker Bugs Application 2019-09-04 10:49:27 UTC
Proposed as a Blocker for 31-beta by Fedora user zbyszek using the blocker tracking app because:

 Breaks upgrade path.

Comment 5 Adam Williamson 2019-09-04 20:51:21 UTC
It's only a blocker if the package is included in a release-blocking default package set (e.g. Workstation, Server, KDE, Xfce). Otherwise it can be an FE.

Comment 6 Fedora Update System 2019-09-04 21:35:25 UTC
python-jmespath-0.9.4-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e169130f57

Comment 7 Geoffrey Marr 2019-09-09 19:18:37 UTC
Discussed during the 2019-09-09 blocker review meeting: [0]

The decision to classify this bug as a "RejectedBlocker" and an "AcceptedFreezeException" was made as we don't believe this is in any release-blocking default install package set, so it is rejected as a blocker. However it's accepted as an FE as it will affect quite a lot of upgrades, since it's in the Ansible dependency chain.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-09-09/f31-blocker-review.2019-09-09-16.00.txt

Comment 8 Fedora Update System 2019-09-10 01:21:03 UTC
python-jmespath-0.9.4-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.